赎回 RWA 代币为 USDT
curl --request POST \
--url https://api.qbank.cl/platform/v1/rwa/redemptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_code": "RWA-MIN01",
"tokens": "100.000000",
"idempotency_key": "red-min01-0001"
}
'import requests
url = "https://api.qbank.cl/platform/v1/rwa/redemptions"
payload = {
"project_code": "RWA-MIN01",
"tokens": "100.000000",
"idempotency_key": "red-min01-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_code: 'RWA-MIN01',
tokens: '100.000000',
idempotency_key: 'red-min01-0001'
})
};
fetch('https://api.qbank.cl/platform/v1/rwa/redemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/redemptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_code' => 'RWA-MIN01',
'tokens' => '100.000000',
'idempotency_key' => 'red-min01-0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/redemptions"
payload := strings.NewReader("{\n \"project_code\": \"RWA-MIN01\",\n \"tokens\": \"100.000000\",\n \"idempotency_key\": \"red-min01-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/rwa/redemptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_code\": \"RWA-MIN01\",\n \"tokens\": \"100.000000\",\n \"idempotency_key\": \"red-min01-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/redemptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_code\": \"RWA-MIN01\",\n \"tokens\": \"100.000000\",\n \"idempotency_key\": \"red-min01-0001\"\n}"
response = http.request(request)
puts response.read_body{
"redemption_id": "44444444-4444-4444-8444-444444444444",
"account_id": "33333333-3333-4333-8333-333333333333",
"project_id": "11111111-1111-4111-8111-111111111111",
"project_code": "RWA-MIN01",
"tokens": "100.000000",
"usdt_credited": "100.000000",
"price_usdt": "1.000000",
"status": "completed",
"created_at": "2026-11-15T14:00:00Z",
"receipt_url": "/v1/rwa/redemptions/44444444-4444-4444-8444-444444444444/receipt"
}{
"error": "not_found",
"message": "resource not found"
}赎回 RWA 代币为 USDT
按项目认购价(平价)返还版税代币。原子扣减 RWA-* 代币并记入 USDT。需要完成身份验证、人工会话需要 OTP,并提供幂等键;重放返回原始赎回单。
POST
/
v1
/
rwa
/
redemptions
赎回 RWA 代币为 USDT
curl --request POST \
--url https://api.qbank.cl/platform/v1/rwa/redemptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_code": "RWA-MIN01",
"tokens": "100.000000",
"idempotency_key": "red-min01-0001"
}
'import requests
url = "https://api.qbank.cl/platform/v1/rwa/redemptions"
payload = {
"project_code": "RWA-MIN01",
"tokens": "100.000000",
"idempotency_key": "red-min01-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_code: 'RWA-MIN01',
tokens: '100.000000',
idempotency_key: 'red-min01-0001'
})
};
fetch('https://api.qbank.cl/platform/v1/rwa/redemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/redemptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_code' => 'RWA-MIN01',
'tokens' => '100.000000',
'idempotency_key' => 'red-min01-0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/redemptions"
payload := strings.NewReader("{\n \"project_code\": \"RWA-MIN01\",\n \"tokens\": \"100.000000\",\n \"idempotency_key\": \"red-min01-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/rwa/redemptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_code\": \"RWA-MIN01\",\n \"tokens\": \"100.000000\",\n \"idempotency_key\": \"red-min01-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/redemptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_code\": \"RWA-MIN01\",\n \"tokens\": \"100.000000\",\n \"idempotency_key\": \"red-min01-0001\"\n}"
response = http.request(request)
puts response.read_body{
"redemption_id": "44444444-4444-4444-8444-444444444444",
"account_id": "33333333-3333-4333-8333-333333333333",
"project_id": "11111111-1111-4111-8111-111111111111",
"project_code": "RWA-MIN01",
"tokens": "100.000000",
"usdt_credited": "100.000000",
"price_usdt": "1.000000",
"status": "completed",
"created_at": "2026-11-15T14:00:00Z",
"receipt_url": "/v1/rwa/redemptions/44444444-4444-4444-8444-444444444444/receipt"
}{
"error": "not_found",
"message": "resource not found"
}